using System.Text.Json;
using System.Text.Json.Serialization;
using Phares.Shared.Models.Stateless;

namespace Phares.Shared.Models;

public record FacePartAndFacePointArray(FacePart FacePart, FacePoint[] FacePoints)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, FacePartAndFacePointArraySourceGenerationContext.Default.FacePartAndFacePointArray);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true, DefaultIgnoreCondition = JsonIgnoreCondition.WhenWritingNull)]
[JsonSerializable(typeof(FacePartAndFacePointArray))]
public partial class FacePartAndFacePointArraySourceGenerationContext : JsonSerializerContext
{
}